Package org.apache.qpid.proton.codec

# Interface EncodingCodes

public interface EncodingCodes

## Field Summary

Fields
Modifier and Type
Field
Description
`static final byte`
`ARRAY32`
`static final byte`
`ARRAY8`
`static final byte`
`BOOLEAN`
`static final byte`
`BOOLEAN_FALSE`
`static final byte`
`BOOLEAN_TRUE`
`static final byte`
`BYTE`
`static final byte`
`CHAR`
`static final byte`
`DECIMAL128`
`static final byte`
`DECIMAL32`
`static final byte`
`DECIMAL64`
`static final byte`
`DESCRIBED_TYPE_INDICATOR`
`static final byte`
`DOUBLE`
`static final byte`
`FLOAT`
`static final byte`
`INT`
`static final byte`
`LIST0`
`static final byte`
`LIST32`
`static final byte`
`LIST8`
`static final byte`
`LONG`
`static final byte`
`MAP32`
`static final byte`
`MAP8`
`static final byte`
`NULL`
`static final byte`
`SHORT`
`static final byte`
`SMALLINT`
`static final byte`
`SMALLLONG`
`static final byte`
`SMALLUINT`
`static final byte`
`SMALLULONG`
`static final byte`
`STR32`
`static final byte`
`STR8`
`static final byte`
`SYM32`
`static final byte`
`SYM8`
`static final byte`
`TIMESTAMP`
`static final byte`
`UBYTE`
`static final byte`
`UINT`
`static final byte`
`UINT0`
`static final byte`
`ULONG`
`static final byte`
`ULONG0`
`static final byte`
`USHORT`
`static final byte`
`UUID`
`static final byte`
`VBIN32`
`static final byte`
`VBIN8`

## Method Summary

Static Methods
Modifier and Type
Method
Description
`static String`
`toString(byte encoding)`

## Field Details

### DESCRIBED_TYPE_INDICATOR

static final byte DESCRIBED_TYPE_INDICATOR

See Also:
  - Constant Field Values

### NULL

static final byte NULL

See Also:
  - Constant Field Values

### BOOLEAN

static final byte BOOLEAN

See Also:
  - Constant Field Values

### BOOLEAN_TRUE

static final byte BOOLEAN_TRUE

See Also:
  - Constant Field Values

### BOOLEAN_FALSE

static final byte BOOLEAN_FALSE

See Also:
  - Constant Field Values

### UBYTE

static final byte UBYTE

See Also:
  - Constant Field Values

### USHORT

static final byte USHORT

See Also:
  - Constant Field Values

### UINT

static final byte UINT

See Also:
  - Constant Field Values

### SMALLUINT

static final byte SMALLUINT

See Also:
  - Constant Field Values

### UINT0

static final byte UINT0

See Also:
  - Constant Field Values

### ULONG

static final byte ULONG

See Also:
  - Constant Field Values

### SMALLULONG

static final byte SMALLULONG

See Also:
  - Constant Field Values

### ULONG0

static final byte ULONG0

See Also:
  - Constant Field Values

### BYTE

static final byte BYTE

See Also:
  - Constant Field Values

### SHORT

static final byte SHORT

See Also:
  - Constant Field Values

### INT

static final byte INT

See Also:
  - Constant Field Values

### SMALLINT

static final byte SMALLINT

See Also:
  - Constant Field Values

### LONG

static final byte LONG

See Also:
  - Constant Field Values

### SMALLLONG

static final byte SMALLLONG

See Also:
  - Constant Field Values

### FLOAT

static final byte FLOAT

See Also:
  - Constant Field Values

### DOUBLE

static final byte DOUBLE

See Also:
  - Constant Field Values

### DECIMAL32

static final byte DECIMAL32

See Also:
  - Constant Field Values

### DECIMAL64

static final byte DECIMAL64

See Also:
  - Constant Field Values

### DECIMAL128

static final byte DECIMAL128

See Also:
  - Constant Field Values

### CHAR

static final byte CHAR

See Also:
  - Constant Field Values

### TIMESTAMP

static final byte TIMESTAMP

See Also:
  - Constant Field Values

### UUID

static final byte UUID

See Also:
  - Constant Field Values

### VBIN8

static final byte VBIN8

See Also:
  - Constant Field Values

### VBIN32

static final byte VBIN32

See Also:
  - Constant Field Values

### STR8

static final byte STR8

See Also:
  - Constant Field Values

### STR32

static final byte STR32

See Also:
  - Constant Field Values

### SYM8

static final byte SYM8

See Also:
  - Constant Field Values

### SYM32

static final byte SYM32

See Also:
  - Constant Field Values

### LIST0

static final byte LIST0

See Also:
  - Constant Field Values

### LIST8

static final byte LIST8

See Also:
  - Constant Field Values

### LIST32

static final byte LIST32

See Also:
  - Constant Field Values

### MAP8

static final byte MAP8

See Also:
  - Constant Field Values

### MAP32

static final byte MAP32

See Also:
  - Constant Field Values

### ARRAY8

static final byte ARRAY8

See Also:
  - Constant Field Values

### ARRAY32

static final byte ARRAY32

See Also:
  - Constant Field Values

## Method Details

### toString

static String toString(byte encoding)